package robot.mj;

import com.robot.GameController;
import com.robot.Global;
import com.robot.Util;
import com.robot.data.Player;
import com.robot.player.state.PlayerWaitState;
import com.taurus.core.entity.ITArray;
import com.taurus.core.entity.ITObject;
import com.taurus.core.entity.TArray;
import com.taurus.core.entity.TObject;
import com.taurus.core.routes.ActionKey;
import com.taurus.permanent.data.Session;


import java.util.Map;
import java.util.Map.Entry;


/**
 * 
 * 
 */
public class EXGameController extends GameController {
	
	public EXGameController() {
		super();
	}
	
	@ActionKey(Config.GAME_ACTION)
	public void RouterAction(Session sender,ITObject params,int gid,Player owner) {

	}
	
	@ActionKey(Config.GAME_DIS_CARD)
	public void RouterDisCard(Session sender,ITObject params,int gid,Player owner) {
		owner.stateMachine.execute(EXActionEvent.EVENT_DISCARD, 0, params);	
	}


}
